package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERSequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.aUX;
import java.io.IOException;
import java.util.Enumeration;

public class LazyDERSequence extends DERSequence {
  private byte[] C;
  
  private int e = -1;
  
  private boolean synchronized = false;
  
  public synchronized DEREncodable getObjectAt(int i) {
    if (!this.synchronized)
      synchronized(); 
    return super.getObjectAt(i);
  }
  
  void encode(DEROutputStream dEROutputStream) throws IOException {
    dEROutputStream.double(48, this.C);
  }
  
  public synchronized Enumeration getObjects() {
    if (this.synchronized)
      return super.getObjects(); 
    while (true)
      return (Enumeration)new aUX(this.C); 
  }
  
  public int size() {
    // Byte code:
    //   0: aload_0
    //   1: getfield e : I
    //   4: ifge -> 55
    //   7: new com/jxdinfo/hussar/core/bouncycastle/asn1/aUX
    //   10: dup
    //   11: aload_0
    //   12: getfield C : [B
    //   15: invokespecial <init> : ([B)V
    //   18: dup
    //   19: astore_1
    //   20: aload_0
    //   21: iconst_0
    //   22: putfield e : I
    //   25: invokeinterface hasMoreElements : ()Z
    //   30: ifeq -> 55
    //   33: aload_1
    //   34: dup
    //   35: invokeinterface nextElement : ()Ljava/lang/Object;
    //   40: aload_0
    //   41: dup
    //   42: getfield e : I
    //   45: iconst_1
    //   46: iadd
    //   47: putfield e : I
    //   50: pop
    //   51: goto -> 25
    //   54: pop
    //   55: aload_0
    //   56: getfield e : I
    //   59: ireturn
    // Local variable table:
    //   start	length	slot	name	descriptor
    //   0	60	0	a	Lcom/jxdinfo/hussar/core/bouncycastle/asn1/LazyDERSequence;
  }
  
  LazyDERSequence(byte[] arrayOfByte) throws IOException {
    this.C = arrayOfByte;
  }
}
